# Generated by Django 3.1.5 on 2021-08-30 05:30

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.EmailField(max_length=100, verbose_name='Адрес эл. почты')),
                ('first_name', models.CharField(max_length=200, verbose_name='Имя')),
                ('surname', models.CharField(max_length=200, verbose_name='Фамилия')),
                ('additional_name', models.CharField(blank=True, max_length=200, null=True, verbose_name='Отчество (доп. имя)')),
                ('country', models.CharField(blank=True, max_length=200, null=True, verbose_name='Страна')),
                ('region', models.CharField(blank=True, max_length=200, null=True, verbose_name='Область')),
                ('city', models.CharField(blank=True, max_length=200, null=True, verbose_name='Город')),
                ('image', models.CharField(blank=True, max_length=100, null=True, verbose_name='Идентификатор картинки')),
                ('phone_number', models.CharField(blank=True, max_length=20, null=True, verbose_name='Номер телефона')),
                ('date_of_birthday', models.DateField(blank=True, null=True, verbose_name='Дата рождения')),
                ('verified', models.BooleanField(default=False, verbose_name='Пользователь подтверждён?')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Создано')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Изменено')),
            ],
            options={
                'verbose_name': 'Пользователь',
                'verbose_name_plural': 'Пользователи',
                'ordering': ['surname', 'first_name'],
            },
        ),
        migrations.CreateModel(
            name='UserRoleClassifier',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='Роль в приложении')),
                ('description', models.TextField(max_length=1000, verbose_name='Описание роли')),
            ],
            options={
                'verbose_name': 'Роль пользователя',
                'verbose_name_plural': 'Роли пользователей',
                'ordering': ['id'],
            },
        ),
        migrations.CreateModel(
            name='UserToken',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('token', models.CharField(max_length=64, verbose_name='Токен доступа')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Создано')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tourism.user', verbose_name='Пользователь')),
            ],
            options={
                'verbose_name': 'Токен доступа пользователя',
                'verbose_name_plural': 'Токены доступа пользователей',
                'ordering': ['user__surname', 'user__first_name'],
            },
        ),
        migrations.CreateModel(
            name='UserPassword',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password_hash', models.CharField(max_length=32, verbose_name='Хэш пароля')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Создано')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Изменено')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tourism.user', verbose_name='Пользователь')),
            ],
            options={
                'verbose_name': 'Пароль пользователя',
                'verbose_name_plural': 'Пароли пользователей',
                'ordering': ['user__surname'],
            },
        ),
        migrations.CreateModel(
            name='UserConfirmationRequest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key', models.CharField(max_length=10, verbose_name='Ключ подтверждения')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Создано')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tourism.user', verbose_name='Пользователь')),
            ],
            options={
                'verbose_name': 'Пользовательский запрос на подтверждение',
                'verbose_name_plural': 'Пользовательские запросы на подтверждение',
                'ordering': ['user__surname'],
            },
        ),
        migrations.AddField(
            model_name='user',
            name='role',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='tourism.userroleclassifier', verbose_name='Роль пользователя'),
        ),
        migrations.CreateModel(
            name='Route',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Название')),
                ('description', models.CharField(max_length=1000, verbose_name='Описание')),
                ('location_latitude', models.FloatField(default=0, verbose_name='Широта')),
                ('location_longitude', models.FloatField(default=0, verbose_name='Долгота')),
                ('country', models.CharField(blank=True, max_length=200, null=True, verbose_name='Страна')),
                ('region', models.CharField(blank=True, max_length=200, null=True, verbose_name='Область')),
                ('city', models.CharField(blank=True, max_length=200, null=True, verbose_name='Город')),
                ('cost', models.FloatField(default=0, verbose_name='Стоимость')),
                ('image', models.CharField(blank=True, max_length=100, null=True, verbose_name='Идентификатор картинки')),
                ('distance', models.IntegerField(blank=True, default=0, null=True, verbose_name='Протяжённость')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Создано')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Изменено')),
                ('organizer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='tourism.user', verbose_name='Организатор')),
            ],
            options={
                'verbose_name': 'Маршрут',
                'verbose_name_plural': 'Маршруты',
                'ordering': ['name'],
            },
        ),
    ]
